Subject: Re: 1.3.12-4: editing /etc/passwd causes ssh to fail
From: Len Giambrone <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: [email-masked]
Date: 08 Oct 2002 17:50:49 -0400

Hmm, some more data.

It seems that the newest snapshot improves things a little; it fails an
indeterminate number of times until it succeeds (I've seen 1,5,7 failures),
and then succeeds thereafter.

Even stranger was that I went back to the old dll, and was getting the same
behavior.  But the last three times I could not get a connection after *many*
tries.

For the record, if I restart sshd after adding the user, things work again.
If I then delete the foo user, it fails to work again.

                        -Len

Randall R Schulz <[email-masked]> writes:

> Gentlemen,
> 
> Have you verified that the line newly added to the password file is
> consistent w.r.t. to line-ending convention (Unix vs. Windows) with
> the rest of the password file and the mount via which it is accessed
> by your ssh server?
> 
> Randall Schulz
> Mountain View, CA USA
> 
> 
> At 13:39 2002-10-08, Harig, Mark A. wrote:
> >I have seen this problem also, on Windows NT4 SP6.  I had the same
> >solution -- back out my changes.  I haven't had time to investigate what
> >is causing the problem but it starting occurring in one of the recent
> >releases of ssh in which privilege separation was added.
> >
> > > -----Original Message-----
> > > From: Len Giambrone [mailto:[email-masked]]
> > > Sent: Tuesday, October 08, 2002 4:18 PM
> > > To: [email-masked]
> > > Subject: 1.3.12-4: editing /etc/passwd causes ssh to fail
> > >
> > >
> > >
> > > This is on an installation using setup today with the latest
> > > packages on
> > > archive.progeny.net.  It's running Win2k Server.  I think
> > > I've also verified
> > > this on my XP HE box at home.
> > >
> > > I can happily ssh into my box.
> > >
> > > $ ssh Administrator@foo
> > > Warning: Remote host denied X11 forwarding.
> > > Last login: Tue Oct  8 21:01:53 2002 from bar
> > >
> > > Administrator@LORIEN ~
> > > $
> > >
> > > Now, I add the user foo:
> > >
> > > Administrator@LORIEN ~
> > > $ net user foo bar /add
> > >
> > > I add the user to the password file
> > >
> > > Administrator@LORIEN ~
> > > $ mkpasswd -l -u foo >>/etc/passwd
> > >
> > > And now I can't ssh in anymore:
> > >
> > > $ ssh Administrator@foo
> > > Warning: Remote host denied X11 forwarding.
> > > Connection to foo closed.
> > > $ ssh [email-masked]
> > > Warning: Remote host denied X11 forwarding.
> > > Connection to 172.16.34.104 closed.
> > > $
> > >
> > > If I remove the new user foo, I can once again login:
> > >
> > > Administrator@LORIEN ~
> > > $ rm /etc/passwd; mkpasswd -l | grep -v ^foo >/etc/passwd
> > >
> > > $ ssh Administrator@foo
> > > Warning: Remote host denied X11 forwarding.
> > > Last login: Tue Oct  8 21:18:09 2002 from bar
> > >
> > > Administrator@LORIEN ~
> > > $
> > >
> > > Has anyone seen this before?  Can someone please confirm or
> > > deny that this
> > > happens to them?
> > >
> > >                         -Len
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/